## kdesdk-thumbnailers 4.13.3

=== CMakeLists.txt ===
project(thumbnailers)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules )

macro_optional_find_package(GettextPO)
macro_log_feature(GETTEXTPO_FOUND "gettext-po" "A library for processing PO files" "www.gnu.org/software/gettext" FALSE "" "Required to build the PO thumbnailer")

if(GETTEXTPO_FOUND)
macro_optional_add_subdirectory(po_thumbnailer)
endif(GETTEXTPO_FOUND)

macro_display_feature_log()

## kdesdk-thumbnailers 4.11.2

=== debian/changelog ===
kdesdk-thumbnailers (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:22:15 +0100

kdesdk-thumbnailers (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:21:05 +0100

kdesdk-thumbnailers (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:13:08 +0100

kdesdk-thumbnailers (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:31:28 +0100

kdesdk-thumbnailers (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:32:20 +0000

kdesdk-thumbnailers (4:4.10.90-0ubuntu1) saucy; urgency=low

  [ Philip Muškovac ]
  * kdesdk-thumbnailers breaks/replaces kdesdk-misc << 4:4.10.80

  [ Michał Zając ]
  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:11:49 +0100

kdesdk-thumbnailers (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Initial package, split from kdesdk-thumbnailers

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 02:40:22 +0100

=== debian/control ===
Source: kdesdk-thumbnailers
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11.2)
Standards-Version: 3.9.4
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdesdk-thumbnailers
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdesdk-thumbnailers

Package: kdesdk-thumbnailers
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdesdk-thumbnailers-misc (<< 4:4.10.3-0ubuntu1), kdesdk-misc (<< 4:4.10.80)
Breaks: kdesdk-thumbnailers-misc (<< 4:4.10.3-0ubuntu1), kdesdk-misc (<< 4:4.10.80)
Description: file format thumbnailers for KDE
 It contains a plugin to allow KDE software to create thumbnails for Gettext
 translations files (po).
 .
 This package is part of the KDE Software Development Kit module.

Package: kdesdk-thumbnailers-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kdesdk-thumbnailers (= ${binary:Version}), kde-runtime-dbg, kate-dbg
Replaces: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
Breaks: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
Description: debugging symbols for kdesdk-thumbnailers
 This package contains debugging files used to investigate problems with
 binaries included in kdesdk-thumbnailers.

## kdesdk-thumbnailers 4.13.0

=== debian/changelog ===
kdesdk-thumbnailers (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:58:14 +0100

kdesdk-thumbnailers (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:22:45 +0200

kdesdk-thumbnailers (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:24:15 +0100

kdesdk-thumbnailers (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:52:33 +0000

kdesdk-thumbnailers (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:44:27 +0100

kdesdk-thumbnailers (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:54:34 +0000

kdesdk-thumbnailers (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:12:42 +0000

kdesdk-thumbnailers (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 16:53:51 +0000

kdesdk-thumbnailers (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:04:22 +0000

kdesdk-thumbnailers (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:00:15 +0100

kdesdk-thumbnailers (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:38:27 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.2)
+ kdelibs5-dev (>= 4:4.13.0), libgettextpo-dev
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdesdk-thumbnailers

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kdesdk-thumbnailers-dbg

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg(\.\d+)?$// \
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kdesdk-thumbnailers-([\d\.]*).tar.xz

## kdesdk-thumbnailers 4.13.3

=== debian/changelog ===
kdesdk-thumbnailers (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Jul 2014 10:38:00 +0200

kdesdk-thumbnailers (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:23 +0200

kdesdk-thumbnailers (4:4.12.2-1) experimental; urgency=medium

  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:52 +0100

kdesdk-thumbnailers (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 14:25:47 +0100

kdesdk-thumbnailers (4:4.11.2-1) experimental; urgency=low

  * First release of kdesdk after being split by upstream.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Oct 2013 10:58:36 +0200

=== debian/control ===
Source: kdesdk-thumbnailers
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               libgettextpo-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kdesdk-thumbnailer.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kdesdk-thumbnailer.git

Package: kdesdk-thumbnailers
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kdesdk file format thumbnailers for KDE SC
 It contains a plugin to allow KDE software to create thumbnails for Gettext
 translations files (po).
 .
 This package is part of the KDE Software Development Kit module.

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/kdesdk-thumbnailers-([\d.]+).tar.xz

## kdesdk-thumbnailers 4.14.1

=== debian/changelog ===
kdesdk-thumbnailers (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:07:54 +0200

kdesdk-thumbnailers (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:50:11 +0200

kdesdk-thumbnailers (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:37:45 +0200

kdesdk-thumbnailers (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:08:27 +0200

kdesdk-thumbnailers (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:03:00 +0200

kdesdk-thumbnailers (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:54:42 +0100

kdesdk-thumbnailers (4:4.13.0-0ubuntu2) utopic; urgency=medium

  * Merge with debian, remaining changes
    - Keep debug package

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 11 Jun 2014 19:27:37 +0200

=== debian/control ===
Source: kdesdk-thumbnailers
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.1),
               libgettextpo-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdesdk-thumbnailers
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdesdk-thumbnailers
X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kdesdk-thumbnailer.git
X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kdesdk-thumbnailer.git

Package: kdesdk-thumbnailers
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kdesdk file format thumbnailers for KDE SC
 It contains a plugin to allow KDE software to create thumbnails for Gettext
 translations files (po).
 .
 This package is part of the KDE Software Development Kit module.

Package: kdesdk-thumbnailers-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kdesdk-thumbnailers (= ${binary:Version}), kde-runtime-dbg, kate-dbg
Replaces: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
Breaks: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
Description: debugging symbols for kdesdk-thumbnailers
 This package contains debugging files used to investigate problems with
 binaries included in kdesdk-thumbnailers.

## kdesdk-thumbnailers 4.14.2

=== debian/changelog ===
kdesdk-thumbnailers (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:47:26 +0200

kdesdk-thumbnailers (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 04:47:29 -0700

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.2),
                libgettextpo-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --dbg-package=kdesdk-thumbnailers-dbg

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kdesdk-thumbnailers-([\d\.]*).tar.xz

## kdesdk-thumbnailers 14.12.3

=== debian/changelog ===
kdesdk-thumbnailers (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 13:44:54 -0700

kdesdk-thumbnailers (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:16:55 -0800

kdesdk-thumbnailers (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:03:27 +0100

kdesdk-thumbnailers (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 02 Dec 2014 18:39:39 -0800

kdesdk-thumbnailers (4:14.11.95-0ubuntu1) vivid; urgency=medium

  * Initial release for KDE applications 14.12 series 
   - Change maintainer to Debian/Kubuntu
   - Fix Watch file applications locations 
   - Fix VCS for new kde-applications location
   - Fix copyright file, std-shortanme.
  * Debian merge, remaining changes: 
   - Keep dbg package

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 25 Nov 2014 02:36:30 +0000

kdesdk-thumbnailers (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Fix spaces in copyright shortname and use GPL-KDEeV for KDE clause. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 04:47:29 -0700

=== debian/control ===
Source: kdesdk-thumbnailers
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev,
               libgettextpo-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kdesdk-thumbnailers.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kdesdk-thumbnailers.git

Package: kdesdk-thumbnailers
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kdesdk file format thumbnailers for KDE
 It contains a plugin to allow KDE software to create thumbnails for Gettext
 translations files (po).
 .
 This package is part of the KDE Software Development Kit module.
 
Package: kdesdk-thumbnailers-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kdesdk-thumbnailers (= ${binary:Version}), kde-runtime-dbg, kate-dbg
Description: debugging symbols for kdesdk-thumbnailers
 This package contains debugging files used to investigate problems with
 binaries included in kdesdk-thumbnailers.

=== debian/rules ===


=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kdesdk-thumbnailers-([\d.]+).tar.xz

http://download.kde.org/unstable/applications/([\d.]+)/src/kdesdk-thumbnailers-([\d.]+).tar.xz

## kdesdk-thumbnailers 15.08.2

=== debian/changelog ===
kdesdk-thumbnailers (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:22:39 +0100

kdesdk-thumbnailers (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:48:31 +0100

kdesdk-thumbnailers (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:23:50 +0100

kdesdk-thumbnailers (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:48:24 +0100

kdesdk-thumbnailers (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * wrap-and-sort 
  * Wrap-and-sort gone horribly wrong, deleted main package
    and left only dbg package.. 

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:56:53 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                kdelibs5-dev,
                libgettextpo-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kdesdk-thumbnailers.git/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kdesdk-thumbnailers.git
@@ -27,12 +27,15 @@
  translations files (po).
  .
  This package is part of the KDE Software Development Kit module.
- 
+
 Package: kdesdk-thumbnailers-dbg
+Architecture: any
 Section: debug
-Architecture: any
-Priority: extra
-Depends: ${misc:Depends}, kdesdk-thumbnailers (= ${binary:Version}), kde-runtime-dbg, kate-dbg
+Depends: kate-dbg,
+         kde-runtime-dbg,
+         kdesdk-thumbnailers (= ${binary:Version}),
+         ${misc:Depends}
 Description: debugging symbols for kdesdk-thumbnailers
  This package contains debugging files used to investigate problems with
  binaries included in kdesdk-thumbnailers.
+Priority: extra

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kdesdk-thumbnailers-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kdesdk-thumbnailers-([\d.]+).tar.xz

## kdesdk-thumbnailers 15.12.3

=== po_thumbnailer/CMakeLists.txt ===
project(kde-thumbnailer-po)
cmake_minimum_required(VERSION 2.6)

find_package(GettextPO REQUIRED)

add_definitions(${QT_DEFINITIONS})

set(pothumbnail_SRCS pocreator.cpp)

ki18n_wrap_ui(pothumbnail_SRCS pocreatorform.ui)

kconfig_add_kcfg_files(pothumbnail_SRCS pocreatorsettings.kcfgc)

add_library(pothumbnail MODULE ${pothumbnail_SRCS})
target_link_libraries(pothumbnail
    Qt5::Widgets
    KF5::I18n
    KF5::ConfigGui
    KF5::KIOWidgets
    ${GETTEXTPO_LIBRARY}
)

install(TARGETS pothumbnail DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES pocreatorsettings.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(FILES pothumbnail.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
kdesdk-thumbnailers (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:18:15 -0700

kdesdk-thumbnailers (4:15.12.1-1ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge: Remaining changes,
    kept dbg package. 
  * New upstream release.

  [ Clive Johnston ]
  * Fixing path in .install file

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:41:14 +0100

kdesdk-thumbnailers (4:15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:53 +0100

kdesdk-thumbnailers (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release
  * Adding new build deps for KF5 port
  * Updating install file

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 13:50:17 +0000

kdesdk-thumbnailers (4:14.12.2-1) experimental; urgency=medium

  * Prepare Debian release.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 18 Feb 2015 19:02:16 +0100

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,19 @@
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
+               extra-cmake-modules (>= 1.0.0~),
+               kio-dev,
                libgettextpo-dev,
-               pkg-kde-tools (>= 0.12)
+               libkf5config-dev,
+               libkf5i18n-dev,
+               pkg-kde-tools (>= 0.12),
+               qtbase5-dev (>= 5.2.0~)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kdesdk-thumbnailers.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kdesdk-thumbnailers.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kdesdk-thumbnailers.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kdesdk-thumbnailers.git
 
 Package: kdesdk-thumbnailers
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --ddeb-migration='kdesdk-thumbnailers-dbg (<= 4:15.12.0-1~~)'

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kdesdk-thumbnailers-([\d.]+).tar.xz

## kdesdk-thumbnailers 16.08.0

=== debian/changelog ===
kdesdk-thumbnailers (4:16.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Stop forcing the local installation to debian/tmp, letting the package
    directory as install place.
    - remove kdesdk-thumbnailers.install, no more used now
  * Wrap too long changelog line in entry for version 4:15.12.0-2.

 -- Pino Toscano <pino@debian.org>  Sat, 27 Aug 2016 23:11:52 +0200

kdesdk-thumbnailers (4:15.12.0-2) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer"
    replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update install files
  * Use qt-kde-team 3 rules

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 May 2016 11:58:41 +0200

=== debian/control ===
--- 
+++ 
@@ -16,10 +16,10 @@
                libkf5i18n-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.2.0~)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kdesdk-thumbnailers.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kdesdk-thumbnailers.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kdesdk-thumbnailers.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kdesdk-thumbnailers.git
 
 Package: kdesdk-thumbnailers
 Architecture: any
@@ -30,15 +30,3 @@
  translations files (po).
  .
  This package is part of the KDE Software Development Kit module.
-
-Package: kdesdk-thumbnailers-dbg
-Architecture: any
-Section: debug
-Depends: kate-dbg,
-         kde-runtime-dbg,
-         kdesdk-thumbnailers (= ${binary:Version}),
-         ${misc:Depends}
-Description: debugging symbols for kdesdk-thumbnailers
- This package contains debugging files used to investigate problems with
- binaries included in kdesdk-thumbnailers.
-Priority: extra

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kdesdk-thumbnailers-dbg (<= 4:15.12.0-1~~)'

## kdesdk-thumbnailers 16.12.3

=== debian/changelog ===
kdesdk-thumbnailers (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:23:47 +0000

kdesdk-thumbnailers (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:12:26 +0000

kdesdk-thumbnailers (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

  [ Rik Mills ]
  * Remove empty debug package

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:34:26 +0200

=== debian/control ===
--- 
+++ 
@@ -9,17 +9,17 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.0.0~),
-               kio-dev,
+               extra-cmake-modules (>= 5.31.0~),
                libgettextpo-dev,
-               libkf5config-dev,
-               libkf5i18n-dev,
+               libkf5config-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.2.0~)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.6.1~)
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kdesdk-thumbnailers.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kdesdk-thumbnailers.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdesdk-thumbnailers
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdesdk-thumbnailers
 
 Package: kdesdk-thumbnailers
 Architecture: any

## kdesdk-thumbnailers 17.04.3

=== debian/changelog ===
kdesdk-thumbnailers (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:27:41 +0100

## kdesdk-thumbnailers 17.08.3

=== debian/changelog ===
kdesdk-thumbnailers (4:17.08.3-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 11:32:13 +0800

kdesdk-thumbnailers (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

  [ Maximiliano Curia ]
  * Bump kde-l10n breaks/replaces versions
  * Update uploaders list as requested by MIA team (Closes: #879332)

  [ Pino Toscano ]
  * New upstream release.
  * Simplify watch file, and switch it to https.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will drop
    translations.
  * Bump Standards-Version to 4.1.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 20 Nov 2017 21:50:16 +0100

kdesdk-thumbnailers (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 13 Sep 2017 15:44:11 +0200

kdesdk-thumbnailers (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:00:02 +0000

kdesdk-thumbnailers (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:34:26 +0000

kdesdk-thumbnailers (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:20:18 +0000

kdesdk-thumbnailers (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:21:30 +0000

kdesdk-thumbnailers (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:15:36 +0000

kdesdk-thumbnailers (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:03:50 +0000

kdesdk-thumbnailers (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:48:16 +0000

kdesdk-thumbnailers (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:58:36 +0000

kdesdk-thumbnailers (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:18:04 +0000

kdesdk-thumbnailers (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:26:44 +0000

kdesdk-thumbnailers (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:53:00 +0000

kdesdk-thumbnailers (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:39:49 +0000

kdesdk-thumbnailers (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:06:20 +0000

kdesdk-thumbnailers (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:48:21 +0000

kdesdk-thumbnailers (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:38:34 +0000

kdesdk-thumbnailers (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Jul 2016 15:03:55 +0000

=== debian/control ===
Source: kdesdk-thumbnailers
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.0.0~),
               libgettextpo-dev,
               libkf5config-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.2.0~),
Standards-Version: 4.1.1
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kdesdk-thumbnailers.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kdesdk-thumbnailers.git

Package: kdesdk-thumbnailers
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: kdesdk file format thumbnailers for KDE
 It contains a plugin to allow KDE software to create thumbnails for Gettext
 translations files (po).
 .
 This package is part of the KDE Software Development Kit module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-4~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kdesdk-thumbnailers-dbg (<= 4:15.12.0-1~~)'

## kdesdk-thumbnailers 17.12.3

=== debian/changelog ===
kdesdk-thumbnailers (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:26:19 +0000

kdesdk-thumbnailers (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:57:15 +0000

kdesdk-thumbnailers (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:05:01 +0000

=== debian/control ===
Source: kdesdk-thumbnailers
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libgettextpo-dev,
               libkf5config-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdesdk-thumbnailers
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdesdk-thumbnailers

Package: kdesdk-thumbnailers
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: kdesdk file format thumbnailers for KDE
 It contains a plugin to allow KDE software to create thumbnails for Gettext
 translations files (po).
 .
 This package is part of the KDE Software Development Kit module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --ddeb-migration='kdesdk-thumbnailers-dbg (<= 4:15.12.0-1~~)'

## kdesdk-thumbnailers 18.04.3

=== debian/changelog ===
kdesdk-thumbnailers (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:16:47 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libkf5i18n-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdesdk-thumbnailers

## kdesdk-thumbnailers 18.12.3

=== debian/changelog ===
kdesdk-thumbnailers (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:27:59 +0000

kdesdk-thumbnailers (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:15:22 +0000

kdesdk-thumbnailers (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:10:16 +0000

kdesdk-thumbnailers (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:48:44 +0000

kdesdk-thumbnailers (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 02 Jan 2019 12:08:14 +0000

## kdesdk-thumbnailers 19.04.3

=== debian/changelog ===
kdesdk-thumbnailers (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:13:40 +0100

kdesdk-thumbnailers (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:04:47 +0100

kdesdk-thumbnailers (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:57:30 +0100

kdesdk-thumbnailers (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:42:58 +0100

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,19 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
-           Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
-           Maximiliano Curia <maxy@debian.org>
+           Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
+               extra-cmake-modules (>= 1.0.0~),
                libgettextpo-dev,
-               libkf5config-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5kio-dev (>= 5.31.0~),
+               libkf5config-dev,
+               libkf5i18n-dev,
+               libkf5kio-dev,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~),
-Standards-Version: 3.9.6
+               qtbase5-dev (>= 5.2.0~),
+Standards-Version: 4.1.1
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdesdk-thumbnailers
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdesdk-thumbnailers

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kdesdk-thumbnailers-dbg (<= 4:15.12.0-1~~)'

## kdesdk-thumbnailers 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
project(thumbnailers)
set(QT_MIN_VERSION "5.2.0")

find_package(ECM 1.0.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(ECMOptionalAddSubdirectory)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Widgets)
find_package(KF5 REQUIRED COMPONENTS Config I18n KIO)

add_definitions(-DTRANSLATION_DOMAIN="pothumbnail")

find_package(GettextPO)
set_package_properties("gettext-po"    PROPERTIES
                       DESCRIPTION "A library for processing PO files"
                       URL         "www.gnu.org/software/gettext"
                       TYPE        OPTIONAL
                       PURPOSE     "Required to build the PO thumbnailer"
)
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
endif()

if(GETTEXTPO_FOUND)
ecm_optional_add_subdirectory(po_thumbnailer)
endif(GETTEXTPO_FOUND)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== debian/changelog ===
kdesdk-thumbnailers (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:08:46 +0000

kdesdk-thumbnailers (4:19.12.2-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Switch debian/watch to new KDE release service URL.
  * New upstream release (19.12.2).
  * Update build dependencies according to upstream build system:
    - cmake >= 3.5
  * Drop kde-l10n and dbgsym migration rules, not needed anymore after 2
    stable releases.
  * Switch to debhelper-compat build dependency, bump compatibility level to
    12.
  * Move Vcs-* fields to Salsa.
  * Borrow minimal upstream signing key from k3b.
  * Switch from dhmk to dh --with kf5.
  * Add hardening=+all build hardening flag.
  * Refresh debian/copyright.
  * Bump Standards-Version to 4.5.0:
    - Add Rules-Requires-Root: no.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 25 Feb 2020 00:31:05 +0100

=== debian/control ===
Source: kdesdk-thumbnailers
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 1.0.0~),
               libgettextpo-dev,
               libkf5config-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.2.0~),
Standards-Version: 4.5.0
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdesdk-thumbnailers
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdesdk-thumbnailers.git
Rules-Requires-Root: no

Package: kdesdk-thumbnailers
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kdesdk file format thumbnailers for KDE
 It contains a plugin to allow KDE software to create thumbnails for Gettext
 translations files (po).
 .
 This package is part of the KDE Software Development Kit module.

## kdesdk-thumbnailers 20.08.1

=== debian/changelog ===
kdesdk-thumbnailers (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:52:41 +0100

kdesdk-thumbnailers (4:20.08.0-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Remove deprecated Name field from upstream metadata

  [ Pino Toscano ]
  * New upstream release.
  * Add the configuration for the CI on salsa.

 -- Pino Toscano <pino@debian.org>  Sat, 22 Aug 2020 09:24:57 +0200

kdesdk-thumbnailers (4:20.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.04.2).
  * Bump debhelper compatibility level to 13.
  * Move upstream URLs from deprecated cgit to new invent.kde.org GitLab
    platform.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 16 Jun 2020 12:25:24 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.5~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 1.0.0~),
                libgettextpo-dev,
                libkf5config-dev,

## kdesdk-thumbnailers 20.12.0

=== debian/changelog ===
kdesdk-thumbnailers (4:20.12.0-1) unstable; urgency=medium

  * New upstream release (20.12.0).
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Removed George Kiagiadakis, Maximiliano Curia, Modestas Vainius from
    the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 02 Jan 2021 12:40:37 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,8 @@
 Section: kde
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>,
-           Modestas Vainius <modax@debian.org>,
-           George Kiagiadakis <kiagiadakis.george@gmail.com>,
-           Maximiliano Curia <maxy@debian.org>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 1.0.0~),
@@ -15,7 +13,7 @@
                libkf5kio-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.2.0~),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: http://www.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdesdk-thumbnailers
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdesdk-thumbnailers.git

## kdesdk-thumbnailers 20.12.3

=== debian/changelog ===
kdesdk-thumbnailers (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:19:08 +0000

kdesdk-thumbnailers (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:53:21 +0000

kdesdk-thumbnailers (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:09:49 +0000

## kdesdk-thumbnailers 21.08.1

=== debian/changelog ===
kdesdk-thumbnailers (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:32:58 +0100

kdesdk-thumbnailers (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:01:29 +0100

kdesdk-thumbnailers (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:54:37 +0100

kdesdk-thumbnailers (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:33:07 +0100

kdesdk-thumbnailers (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:42:32 +0100

kdesdk-thumbnailers (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:39:06 +0100

kdesdk-thumbnailers (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:05:41 +0100

kdesdk-thumbnailers (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:34:31 +0100
